Tag Parser: TagParser::TagCreationSettings Struct Reference

Tag Parser 12.5.3 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TagParser::TagCreationSettings Struct Reference

The TagSettings struct contains settings which can be passed to MediaFileInfo::createAppropriateTags(). More...

`#include <settings.h>`

Collaboration diagram for TagParser::TagCreationSettings:
[legend]

## Public Member Functions
TagCreationSettings & | setFlag (TagCreationFlags flag, bool enabled)

## Public Attributes
std::vector< TagTarget > | requiredTargets = std::vector<TagTarget>()
| Specifies the required targets. If targets are not supported by the container an informal notification is added.
TagCreationFlags | flags
| Specifies options to control the tag creation. See TagSettings::Flags.
TagUsage | id3v1usage = TagUsage::KeepExisting
| Specifies the usage of ID3v1 when creating tags for MP3 files (has no effect when the file is no MP3 file or not treated as one).
TagUsage | id3v2usage = TagUsage::Always
| Specifies the usage of ID3v2 when creating tags for MP3 files (has no effect when the file is no MP3 file or not treated as one).
std::uint8_t | id3v2MajorVersion = 3
| Specifies the ID3v2 version to be used in case an ID3v2 tag present or will be created. Valid values are 2, 3 and 4.

## Detailed Description

The TagSettings struct contains settings which can be passed to MediaFileInfo::createAppropriateTags().

Definition at line 50 of file settings.h.

## Member Function Documentation

## ◆ setFlag()

TagCreationSettings & TagParser::TagCreationSettings::setFlag | ( | TagCreationFlags | flag,
|  | bool | enabled )
| inline

Definition at line 77 of file settings.h.

## Member Data Documentation

## ◆ flags

TagCreationFlags TagParser::TagCreationSettings::flags

Initial value:
= TagCreationFlags::Id3TransferValuesOnRemoval | TagCreationFlags::MergeMultipleSuccessiveId3v2Tags
| TagCreationFlags::KeepExistingId3v2Version
TagParser::TagCreationFlags::Id3TransferValuesOnRemoval
@ Id3TransferValuesOnRemoval
Definition settings.h:35
TagParser::TagCreationFlags::MergeMultipleSuccessiveId3v2Tags
@ MergeMultipleSuccessiveId3v2Tags
Definition settings.h:36
TagParser::TagCreationFlags::KeepExistingId3v2Version
@ KeepExistingId3v2Version
Definition settings.h:37

Specifies options to control the tag creation. See TagSettings::Flags.

Definition at line 54 of file settings.h.

## ◆ id3v1usage

TagUsage TagParser::TagCreationSettings::id3v1usage = TagUsage::KeepExisting

Specifies the usage of ID3v1 when creating tags for MP3 files (has no effect when the file is no MP3 file or not treated as one).

Definition at line 57 of file settings.h.

## ◆ id3v2MajorVersion

std::uint8_t TagParser::TagCreationSettings::id3v2MajorVersion = 3

Specifies the ID3v2 version to be used in case an ID3v2 tag present or will be created. Valid values are 2, 3 and 4.

Definition at line 61 of file settings.h.

## ◆ id3v2usage

TagUsage TagParser::TagCreationSettings::id3v2usage = TagUsage::Always

Specifies the usage of ID3v2 when creating tags for MP3 files (has no effect when the file is no MP3 file or not treated as one).

Definition at line 59 of file settings.h.

## ◆ requiredTargets

std::vector<TagTarget> TagParser::TagCreationSettings::requiredTargets = std::vector<TagTarget>()

Specifies the required targets. If targets are not supported by the container an informal notification is added.

Definition at line 52 of file settings.h.

The documentation for this struct was generated from the following file:

- settings.h